Package home | Report new bug | New search | Development Roadmap Status: Open | Feedback | All | Closed Since Version 1.26.0

Request #11118 List of PEAR packages should not show deprecated packages
Submitted: 2007-05-23 18:15 UTC Modified: 2007-12-01 18:15 UTC
From: ericthelin Assigned: dufuz
Status: Closed Package: pearweb
PHP Version: Irrelevant OS: N/A
Roadmaps: 1.17.0    
Subscription  


 [2007-05-23 18:15 UTC] ericthelin (Eric Thelin)
Description: ------------ I seems inappropriate to show a deprecated package as one of the four highlighted packages in a category on the package list page. (http://pear.php.net/packages.php) And on the category page (ie. http://pear.php.net/packages.php?catpid=25&catname=PHP) there should at least be a note indicating that the package is depricated. My case in point is the PHPDoc package which is deprecated by PhpDocumentor. This was discussed during Joshua Eichorn's Presentation at the AzPHP User's group meeting last night and he asked me to put in this bug. Expected result: ---------------- Remove deprecated packages from the highlighted list and possibly add a note indicating the deprecated status on the category list page.

Comments

 [2007-12-01 18:15 UTC] dufuz (Helgi Þormar Þorbjörnsson)
This bug has been fixed in CVS. If this was a documentation problem, the fix will appear on pear.php.net by the end of next Sunday (CET). If this was a problem with the pear.php.net website, the change should be live shortly. Otherwise, the fix will appear in the package's next release. Thank you for the report and for helping us make PEAR better.